<template>
  <div class="pie">
    <DxPieChart
        id="pie"
        :data-source="pieData"
        palette="Bright"
        v-if="pieData.length"
    >
      <DxSeries
          argument-field="key"
          value-field="percent"
      >
        <DxLabel :visible="true">
          <DxConnector
              :visible="true"
              :width="1"
          />
        </DxLabel>
      </DxSeries>
    </DxPieChart>
    <div v-else>
      Нет данных
    </div>
  </div>
</template>

<script>
import DxPieChart, {
  DxSeries,
  DxLabel,
  DxConnector,
  DxExport,
} from 'devextreme-vue/pie-chart';

export default {
  name: "Pie",
  components: {
    DxPieChart,
    DxSeries,
    DxLabel,
    DxConnector,
    DxExport,
  },
  props: {
    pieData: {
      required: true,
      type: Array,
      default: () => ([])
    }
  },

}
</script>

<style scoped>
.pie {
  width: 100%;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
}
</style>
